function hide(id) { document.getElementById(id).style.display = 'none'; }
function show(id) { document.getElementById(id).style.display = 'block'; }
function enable(id) { document.getElementById(id).removeAttribute('readonly'); }
function disable(id) { document.getElementById(id).setAttribute('readonly',true); }
function toggle(id) { if (document.getElementById(id).style.display == 'none' || (document.getElementById(id).className == 'hidden' && document.getElementById(id).style.display == '')) { show(id); } else { hide(id); } }
function getvalue(id) { return document.getElementById(id).value; }
function setvalue(id,val) { return document.getElementById(id).value = val; }
function hideDiv(div) { div.style.display = 'none'; }
function showDiv(div) { div.style.display = 'block'; }
var newsFlipper;
$(document).ready(function() {
	$("#leftbanners").height($("#main").height()-10);
	$("#banners").height($("#main").height()-10);
	if ($('#latestnews').length > 0) window.setTimeout('refreshNews()',60000);
	$(".laUneAjax").each(function() {
		var obj = $(this);
		$.getJSON('/ajax/action.php','action=getGallery&gallery='+$(this).attr('gallery'),function(data) { obj.removeClass('loading'); obj.html(data.html); });
	});
	
	$("#newsFlipper").attr('activeSet',1);
	$("#newsFlipper").find(".article1").addClass('active');
	$("#newsFlipper .selector li").live('click',function() {
		clearTimeout(newsFlipper); newsFlipper = 0;
		var i = parseInt($(this).attr('class').substring(7,8));
		if (i < 0 || i == $("#newsFlipper").attr('activeSet')) return;
		$("#newsFlipper").attr('activeSet',i);
		$("#newsFlipper .active").removeClass('active').css('display','');
		$("#newsFlipper .article"+i).fadeIn(200, function() {
			$(this).addClass('active');
			if (newsFlipper == 0) newsFlipper = setTimeout(function() { newsFlip() }, 10000);
		});
		
	});
		
	$(".gallery .navigate").live('click',function() {
		var div = $(this).siblings(".container");
		var step = 524;
		if ($(this).hasClass('right') === true) {
			div.animate({scrollLeft:'+='+step}, 2000);
		} else {
			div.animate({scrollLeft:'-='+step}, 2000);
		}
	});
	
	if ($("#newsFlipper").length == 1) newsFlipper = setTimeout(function() { newsFlip() }, 10000);
	
});

function newsFlip() {
	var i = $("#newsFlipper").attr('activeSet');
	if (i == $("#newsFlipper .selector li").length) i = 0;
	$($("#newsFlipper .selector li")[i]).click();
}

function checkLogin() {
	hide('invalidemail'); hide('invalidpass');
	if (document.forms['loginform'].email.value.length < 10) {
		show('invalidemail');
		document.forms['loginform'].email.focus();
		return false;
	}
	if (document.forms['loginform'].password.value.length < 6) {
		show('invalidpass');
		document.forms['loginform'].password.focus();
		return false;
	}
	return true;
}

function isset(variable_name) {
	try {
		if (typeof(eval(variable_name)) != 'undefined')
			if (eval(variable_name) != null)
				return true;
	} catch(e) { }
	return false;
}

function addEvent(elm, evType, fn, useCapture){
    if (elm.addEventListener)
    {
      elm.addEventListener(evType, fn, useCapture);
      return true;
    } else if (elm.attachEvent) {
      var r = elm.attachEvent('on' + evType, fn);
      return r;
    } else {
      elm['on' + evType] = fn;
    }
}

function doVotePoll(theform) {
	$('#poll-answers').hide(); $('#poll-load').show(); $("#poll-timeout").hide();
	var status = $.post($(theform).attr('action'), $(theform).serialize(), function(data) {
		$("#poll-results").html(data); $("#poll-results").show(); $("#poll-load").hide();
	}).error(function(d) { $('#poll-answers').show(); $('#poll-load').hide(); $("#poll-timeout").show(); });
  return false;
}

function removeDiv(elm) {
	elm.parentNode.removeChild(elm);
}

function cloneBefore(original, copycat) {
	var newthing = document.createElement('div');
	newthing.innerHTML = original.innerHTML;
	newthing.style.display = 'block';
	copycat.parentNode.insertBefore(newthing, copycat);
}
function transformToAjax(form, result, noreset, hideafter) {
	var waiting = document.createElement('div');
	waiting.innerHTML = '<img src="/images/loading.gif" alt="" /> Chargement en cours...';
	form.parentNode.insertBefore(waiting, form);
	hideDiv(form);
	if (typeof val != 'undefined') tinyMCE.triggerSave();
	if (result === false) {
		// Create a form result div - remove previous one if already created
		if (document.getElementById('formresult')) {
			document.getElementById('formresult').parentNode.removeChild(document.getElementById('formresult'));
		}
		var resultant = document.createElement('div');
		resultant.setAttribute('id','formresult');
		resultant.className = 'infomsg';
		form.parentNode.insertBefore(resultant, form);
	} else var resultant = document.getElementById(result);
	var status = AjaxRequest.submit(
	    form
	    ,{
	      'timeout':25000,
	      'onTimeout':function(req){ alert('Your request timed out. Please try again.'); showDiv(form); form.parentNode.removeChild(waiting); },
	      'onSuccess':function(req){ resultant.innerHTML = req.responseText; if (isset(noreset) && noreset !== true) form.reset(); if (hideafter === false) showDiv(form); form.parentNode.removeChild(waiting); },
	      'onError':function(req){ alert('Your request was not completed. Server response: '+req.statusText); showDiv(form); form.parentNode.removeChild(waiting); }
	    }
	  );
	return false;
}

function transformToAjax2(params) {
	return transformToAjax(params['form'],params['result'],params['noreset'],params['hideafter']);
}

isDef = function(val) {  return typeof val != 'undefined'; };

function doOrientSearch() {
	window.location = '/recherche/'+($('#search').val());
	return false;
}
function startNewsAnimation(num,max,started) {
	if (num > max) num = 1;
	if (num == 1) { var prev = max; }
	else { var prev = num - 1; }
	if (started === false) Effect.Appear('latest_scroll_head');
	else { if (prev > 0) Effect.BlindUp('latest_scroll_'+prev); }
	Effect.BlindDown('latest_scroll_'+ (num), { scaleFrom: 0, scaleTo: 100 });
	window.setTimeout(function() { startNewsAnimation((num+1),max,true); }, 5000);
}

function refreshNews() {
	if ($('#latestnews').length == 0) { return false; }
	if (typeof $('#latestnews').attr('lastAdd') == 'undefined') $('#latestnews').attr('lastAdd',60000);
	var updateNews = $.get('/ajax/latestNews.php','lastRefresh='+lastRefresh, function(data) {
  			var today = new Date();
			lastRefresh = Math.round(today.getTime()/1000.0);
			var response = data.split('<!-- DATA --/>');
			if (response.length == 2) {
 			if (response[1] != 'no-update') $('#latestnews').html(response[1]);
 			lastRefresh = response[0];
 			time = parseInt($('#latestnews').attr('lastAdd')) + 5000;
 			window.setTimeout('refreshNews()',time);
 			$('#latestnews').attr('lastAdd',time);
 		}
	});
}

function OLJMenu() {
	var o = this;
	o.active = 'menu-1';
	o.activeExtender= 'menu-1-extender';
	o.hover = '';
	o.activeHasFlash = false;
	o.enforceActiveTab = function(obj) {
		index = obj.id;
		if (this.hover != index) return;
		this.changeExtender(index);
		$('#'+this.active).removeClass('tabOn');
		if (this.activeHasFlash === true) {
			$('#'+this.active).addClass('tabOffFlash');
		} else {
			$('#'+this.active).addClass('tabOff');
		}
		this.active = index;
		if ($(obj).hasClass('tabOffFlash') === true) {
			this.activeHasFlash = true;
			$('#'+this.active).removeClass('tabOffFlash');
		} else {
			this.activeHasFlash = false;
			$('#'+this.active).removeClass('tabOff');
		}
		$('#'+this.active).addClass('tabOn');
	}
	o.setActiveTab = function(obj) {
		this.hover = obj.id;
		o.enforceActiveTab(obj);
	}
	o.setActivePage = function (obj) {
		$(obj).addClass('active');
	}
	o.changeExtender = function(newmenu) {
		if ($('#'+newmenu+'-extender')) {
			$('#'+this.activeExtender).removeClass('tabOn');
			$('#'+this.activeExtender).addClass('tabOff');
			$('#'+newmenu+'-extender').removeClass('tabOff');
			$('#'+newmenu+'-extender').addClass('tabOn');
			this.activeExtender = newmenu+'-extender';
		}
	}
	o.deactivate = function(obj) {
		if (this.hover == obj.id) this.hover = '';
	}
	
}
var OLJMenu = new OLJMenu();

function showColorPalette() {
if (cpShown === false) {
	$('#palette').css('top', (parseInt($('#menu-extender').offset().top)-10) + 'px');
	$('#palette').show(); $('#menu-extender').css('visibility','hidden');
	cpShown = true;
} else {
	$('#palette').hide();
	$('#menu-extender').css('visibility','visible');
	cpShown = false;
}
}

function openAnnonce() {
	window.open('/annonce_1.html','','width=390,height=90,scrollbars=none');
}

function activateSkin(img,padTop,hideAds) {
	$("#container").css('background','url('+img+') 8px 0px repeat-y');
	$("#bannerMargin").css('height',padTop+'px');
	$("#bannerMargin").show();
	if (hideAds == '1') {
		$(".olj_ad, .partners").remove();
		$("#leftbanners, #banners, #bannerMargin").css('cursor','pointer');
		$("#leftbanners, #banners, #bannerMargin").click(function() {
			window.open( $("#applyTheme").attr('adTarget') );
		});
	}
}

function activateFullSkin(imgleft,imgright,imgcenter,padTop,hideAds,url) {
	$("#bannerMargin").css('height',padTop+'px');
	$("#banners").css('marginTop','-81px');
	$("#bannerMargin").show();
	$("#leftbanners").css('padding','0px');
	$("#main").css({'borderRight':'none','borderLeft':'none'});
	$("#leftbanners").css('background','url('+imgleft+') 0px 0px repeat-y');
	$("#banners").css('background','url('+imgright+') repeat-y 0px 0px');
	$("#bannerMargin").css('background','url('+imgcenter+') 0px 0px no-repeat');
	if (hideAds == '1') {
		$(".olj_ad, .partners").remove();
		$("#leftbanners, #banners, #bannerMargin").css('cursor','pointer');
		$("#leftbanners, #banners, #bannerMargin").click(function() {
			window.open(url);
		});
	}
}

var sendArticledlg;
function showSendArticle() {
	sendArticledlg=$("#box").clone(); sendArticledlg.dialog({modal:true,width:'450'});
}
function sendArticletoFriend(form) {
	$(form).hide();
	$(form).parent().append('<div class="loading"><img src="/images/loading.gif" alt="" /> Chargement en cours...</div>');
	$.post( $(form).attr('action'), $(form).serialize(), function(data) { form.reset(); $(form).parent().children('.loading').remove(); $(form).parent().append(data); } );
	return false;
}
function closeSendForm(obj) {
	sendArticledlg.dialog('close');
}

$(document).ready(function() {
	if ($("#applyTheme").length > 0) activateSkin($("#applyTheme").attr('themeImage'), $("#applyTheme").attr('padTop'), $("#applyTheme").attr('hideAds'));
	if ($("#applyFullTheme").length > 0) activateFullSkin($("#applyFullTheme").attr('imageLeft'), $("#applyFullTheme").attr('imageRight'), $("#applyFullTheme").attr('imageCenter'), $("#applyFullTheme").attr('padTop'), $("#applyFullTheme").attr('hideAds'), $("#applyFullTheme").attr('adTarget'));
});

/**
 * jQuery.timers - Timer abstractions for jQuery
 * Written by Blair Mitchelmore (blair DOT mitchelmore AT gmail DOT com)
 * Licensed under the WTFPL (http://sam.zoy.org/wtfpl/).
 * Date: 2009/10/16
 *
 * @author Blair Mitchelmore
 * @version 1.2
 *
 **/
jQuery.fn.extend({everyTime:function(a,b,c,d){return this.each(function(){jQuery.timer.add(this,a,b,c,d)})},oneTime:function(a,b,c){return this.each(function(){jQuery.timer.add(this,a,b,c,1)})},stopTime:function(a,b){return this.each(function(){jQuery.timer.remove(this,a,b)})}});jQuery.extend({timer:{global:[],guid:1,dataKey:"jQuery.timer",regex:/^([0-9]+(?:\.[0-9]*)?)\s*(.*s)?$/,powers:{ms:1,cs:10,ds:100,s:1e3,das:1e4,hs:1e5,ks:1e6},timeParse:function(a){if(a==undefined||a==null)return null;var b=this.regex.exec(jQuery.trim(a.toString()));if(b[2]){var c=parseFloat(b[1]);var d=this.powers[b[2]]||1;return c*d}else{return a}},add:function(a,b,c,d,e){var f=0;if(jQuery.isFunction(c)){if(!e)e=d;d=c;c=b}b=jQuery.timer.timeParse(b);if(typeof b!="number"||isNaN(b)||b<0)return;if(typeof e!="number"||isNaN(e)||e<0)e=0;e=e||0;var g=jQuery.data(a,this.dataKey)||jQuery.data(a,this.dataKey,{});if(!g[c])g[c]={};d.timerID=d.timerID||this.guid++;var h=function(){if(++f>e&&e!==0||d.call(a,f)===false)jQuery.timer.remove(a,c,d)};h.timerID=d.timerID;if(!g[c][d.timerID])g[c][d.timerID]=window.setInterval(h,b);this.global.push(a)},remove:function(a,b,c){var d=jQuery.data(a,this.dataKey),e;if(d){if(!b){for(b in d)this.remove(a,b,c)}else if(d[b]){if(c){if(c.timerID){window.clearInterval(d[b][c.timerID]);delete d[b][c.timerID]}}else{for(var c in d[b]){window.clearInterval(d[b][c]);delete d[b][c]}}for(e in d[b])break;if(!e){e=null;delete d[b]}}for(e in d)break;if(!e)jQuery.removeData(a,this.dataKey)}}}});jQuery(window).bind("unload",function(){jQuery.each(jQuery.timer.global,function(a,b){jQuery.timer.remove(b)})})